package domain

type AlibabaHmMarketingDiscountItemRemoveAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaHmMarketingDiscountItemRemoveAsyncItemDiscountSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingDiscountItemRemoveAsyncMarketResult) SetMessage(v string) *AlibabaHmMarketingDiscountItemRemoveAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemRemoveAsyncMarketResult) SetErrorCode(v string) *AlibabaHmMarketingDiscountItemRemoveAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemRemoveAsyncMarketResult) SetDatas(v []AlibabaHmMarketingDiscountItemRemoveAsyncItemDiscountSku) *AlibabaHmMarketingDiscountItemRemoveAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemRemoveAsyncMarketResult) SetSuccess(v bool) *AlibabaHmMarketingDiscountItemRemoveAsyncMarketResult {
	s.Success = &v
	return s
}
